diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-non-ht-dup-test.cc ns-3.44/src/wifi/test/wifi-non-ht-dup-test.cc
--- ns-3.43/src/wifi/test/wifi-non-ht-dup-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-non-ht-dup-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -41,7 +41,7 @@
 
 NS_LOG_COMPONENT_DEFINE("WifiNonHtDuplicateTest");
 
-constexpr MHz_u DEFAULT_FREQUENCY = 5180;
+constexpr MHz_u DEFAULT_FREQUENCY{5180};
 
 /**
  * HE PHY used for testing MU-RTS/CTS.
@@ -55,14 +55,14 @@
     /**
      * Set the previous TX PPDU UID counter.
      *
-     * \param uid the value to which the previous TX PPDU UID counter should be set
+     * @param uid the value to which the previous TX PPDU UID counter should be set
      */
     void SetPreviousTxPpduUid(uint64_t uid);
 
     /**
      * Set the TXVECTOR of the previously transmitted MU-RTS.
      *
-     * \param muRtsTxVector the TXVECTOR used to transmit MU-RTS trigger frame
+     * @param muRtsTxVector the TXVECTOR used to transmit MU-RTS trigger frame
      */
     void SetMuRtsTxVector(const WifiTxVector& muRtsTxVector);
 }; // class MuRtsCtsHePhy
@@ -99,8 +99,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -113,14 +113,14 @@
     /**
      * Set the global PPDU UID counter.
      *
-     * \param uid the value to which the global PPDU UID counter should be set
+     * @param uid the value to which the global PPDU UID counter should be set
      */
     void SetPpduUid(uint64_t uid);
 
     /**
      * Set the TXVECTOR of the previously transmitted MU-RTS.
      *
-     * \param muRtsTxVector the TXVECTOR used to transmit MU-RTS trigger frame
+     * @param muRtsTxVector the TXVECTOR used to transmit MU-RTS trigger frame
      */
     void SetMuRtsTxVector(const WifiTxVector& muRtsTxVector);
 
@@ -180,10 +180,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief non-HT duplicate PHY reception test
+ * @brief non-HT duplicate PHY reception test
  * The test consists in an AP sending a single non-HT duplicate PPDU
  * of a given channel width (multiple of 20 MHz) over a spectrum
  * channel and it checks whether the STAs attached to the channel
@@ -198,11 +198,11 @@
 
     /**
      * Constructor
-     * \param apStandard the standard to use for the AP
-     * \param apFrequency the center frequency of the AP
-     * \param apP20Index the index of the primary 20 MHz channel of the AP
-     * \param stasParams the parameters of the STAs (\see StasParams)
-     * \param per20MhzInterference flags per 20 MHz subchannel whether an interference should be
+     * @param apStandard the standard to use for the AP
+     * @param apFrequency the center frequency of the AP
+     * @param apP20Index the index of the primary 20 MHz channel of the AP
+     * @param stasParams the parameters of the STAs (\see StasParams)
+     * @param per20MhzInterference flags per 20 MHz subchannel whether an interference should be
      * generated on that subchannel. An empty vector means that the test will not generate any
      * interference.
      */
@@ -219,30 +219,30 @@
 
     /**
      * Receive success function
-     * \param index index of the RX STA
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param index index of the RX STA
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccess(std::size_t index,
                    Ptr<const WifiPsdu> psdu,
                    RxSignalInfo rxSignalInfo,
-                   WifiTxVector txVector,
-                   std::vector<bool> statusPerMpdu);
+                   const WifiTxVector& txVector,
+                   const std::vector<bool>& statusPerMpdu);
 
     /**
      * Receive failure function
-     * \param index index of the RX STA
-     * \param psdu the PSDU
+     * @param index index of the RX STA
+     * @param psdu the PSDU
      */
     void RxFailure(std::size_t index, Ptr<const WifiPsdu> psdu);
 
     /**
      * Check the results
-     * \param index index of the RX STA
-     * \param expectedRxSuccess the expected number of RX success
-     * \param expectedRxFailure the expected number of RX failures
+     * @param index index of the RX STA
+     * @param expectedRxSuccess the expected number of RX success
+     * @param expectedRxFailure the expected number of RX failures
      */
     void CheckResults(std::size_t index, uint32_t expectedRxSuccess, uint32_t expectedRxFailure);
 
@@ -253,22 +253,22 @@
 
     /**
      * Send non-HT duplicate PPDU function
-     * \param channelWidth the channel width to use to transmit the non-HT PPDU
+     * @param channelWidth the channel width to use to transmit the non-HT PPDU
      */
     void SendNonHtDuplicatePpdu(MHz_u channelWidth);
 
     /**
      * Generate interference function
-     * \param interferer the PHY of the interferer to use to generate the signal
-     * \param interferencePsd the PSD of the interference to be generated
-     * \param duration the duration of the interference
+     * @param interferer the PHY of the interferer to use to generate the signal
+     * @param interferencePsd the PSD of the interference to be generated
+     * @param duration the duration of the interference
      */
     void GenerateInterference(Ptr<WaveformGenerator> interferer,
                               Ptr<SpectrumValue> interferencePsd,
                               Time duration);
     /**
      * Stop interference function
-     * \param interferer the PHY of the interferer that was used to generate the signal
+     * @param interferer the PHY of the interferer that was used to generate the signal
      */
     void StopInterference(Ptr<WaveformGenerator> interferer);
 
@@ -343,7 +343,7 @@
 
     Ptr<WifiPsdu> psdu = Create<WifiPsdu>(pkt, hdr);
     Time txDuration =
-        m_phyAp->CalculateTxDuration(psdu->GetSize(), txVector, m_phyAp->GetPhyBand());
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, m_phyAp->GetPhyBand());
 
     m_phyAp->Send(WifiConstPsduMap({std::make_pair(SU_STA_ID, psdu)}), txVector);
 }
@@ -374,8 +374,8 @@
 TestNonHtDuplicatePhyReception::RxSuccess(std::size_t index,
                                           Ptr<const WifiPsdu> psdu,
                                           RxSignalInfo rxSignalInfo,
-                                          WifiTxVector txVector,
-                                          std::vector<bool> /*statusPerMpdu*/)
+                                          const WifiTxVector& txVector,
+                                          const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << index << *psdu << rxSignalInfo << txVector);
     const auto expectedWidth =
@@ -414,7 +414,7 @@
 {
     auto spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
     auto lossModel = CreateObject<FriisPropagationLossModel>();
-    lossModel->SetFrequency(m_apFrequency * 1e6);
+    lossModel->SetFrequency(MHzToHz(m_apFrequency));
     spectrumChannel->AddPropagationLossModel(lossModel);
     auto delayModel = CreateObject<ConstantSpeedPropagationDelayModel>();
     spectrumChannel->SetPropagationDelayModel(delayModel);
@@ -465,11 +465,10 @@
     {
         const auto& channelInfo = (*WifiPhyOperatingChannel::FindFirst(0,
                                                                        m_apFrequency,
-                                                                       0,
+                                                                       MHz_u{0},
                                                                        m_apStandard,
                                                                        WIFI_PHY_BAND_5GHZ));
-        [[maybe_unused]] const std::size_t num20MhzSubchannels = channelInfo.width / 20;
-        NS_ASSERT(m_per20MhzInterference.size() == num20MhzSubchannels);
+        NS_ASSERT(m_per20MhzInterference.size() == Count20MHzSubchannels(channelInfo.width));
         for (std::size_t i = 0; i < m_per20MhzInterference.size(); ++i)
         {
             auto interfererNode = CreateObject<Node>();
@@ -515,7 +514,7 @@
 
     const auto& apchannelInfo = (*WifiPhyOperatingChannel::FindFirst(0,
                                                                      m_apFrequency,
-                                                                     0,
+                                                                     MHz_u{0},
                                                                      m_apStandard,
                                                                      WIFI_PHY_BAND_5GHZ));
     m_phyAp->SetOperatingChannel(WifiPhy::ChannelTuple{apchannelInfo.number,
@@ -528,7 +527,7 @@
     {
         const auto& stachannelInfo = (*WifiPhyOperatingChannel::FindFirst(0,
                                                                           staFrequency,
-                                                                          0,
+                                                                          MHz_u{0},
                                                                           staStandard,
                                                                           WIFI_PHY_BAND_5GHZ));
         m_phyStas.at(index++)->SetOperatingChannel(WifiPhy::ChannelTuple{stachannelInfo.number,
@@ -539,8 +538,8 @@
 
     index = 0;
     const auto minApCenterFrequency =
-        m_phyAp->GetFrequency() - (m_phyAp->GetChannelWidth() / 2) + (20 / 2);
-    for (auto channelWidth = 20; channelWidth <= apchannelInfo.width; channelWidth *= 2, ++index)
+        m_phyAp->GetFrequency() - (m_phyAp->GetChannelWidth() / 2) + (MHz_u{20} / 2);
+    for (MHz_u channelWidth{20}; channelWidth <= apchannelInfo.width; channelWidth *= 2, ++index)
     {
         if (!m_phyInterferers.empty())
         {
@@ -551,15 +550,15 @@
                     continue;
                 }
                 BandInfo bandInfo;
-                bandInfo.fc = (minApCenterFrequency + (i * 20)) * 1e6;
-                bandInfo.fl = bandInfo.fc - (5 * 1e6);
-                bandInfo.fh = bandInfo.fc + (5 * 1e6);
+                bandInfo.fc = MHzToHz(minApCenterFrequency + (i * MHz_u{20}));
+                bandInfo.fl = bandInfo.fc - MHzToHz(5);
+                bandInfo.fh = bandInfo.fc + MHzToHz(5);
                 Bands bands;
                 bands.push_back(bandInfo);
                 auto spectrumInterference = Create<SpectrumModel>(bands);
                 auto interferencePsd = Create<SpectrumValue>(spectrumInterference);
-                Watt_u interferencePower = 0.005; // designed to make PHY headers reception
-                                                  // successful but payload reception fail
+                Watt_u interferencePower{0.005}; // designed to make PHY headers reception
+                                                 // successful but payload reception fail
                 *interferencePsd = interferencePower / 10e6;
                 Simulator::Schedule(Seconds(index),
                                     &TestNonHtDuplicatePhyReception::GenerateInterference,
@@ -579,7 +578,7 @@
                             channelWidth);
         for (std::size_t i = 0; i < m_stasParams.size(); ++i)
         {
-            const auto p20Width = 20;
+            const MHz_u p20Width{20};
             const auto staP20Freq =
                 m_phyStas.at(i)->GetOperatingChannel().GetPrimaryChannelCenterFrequency(p20Width);
             const auto staP20MinFreq = staP20Freq - (p20Width / 2);
@@ -588,7 +587,8 @@
             bool expectSuccess = true;
             if (!m_per20MhzInterference.empty())
             {
-                const auto index20MhzSubBand = ((staP20Freq - minApCenterFrequency) / 20);
+                const auto index20MhzSubBand =
+                    Count20MHzSubchannels(staP20Freq - minApCenterFrequency);
                 expectSuccess = !m_per20MhzInterference.at(index20MhzSubBand);
             }
             Simulator::Schedule(Seconds(index + 0.5),
@@ -608,10 +608,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief test PHY reception of multiple CTS frames as a response to a MU-RTS frame.
+ * @brief test PHY reception of multiple CTS frames as a response to a MU-RTS frame.
  * The test is checking whether the reception of multiple identical CTS frames as a response to a
  * MU-RTS frame is successfully received by the AP PHY and that only a single CTS frame is forwarded
  * up to the MAC. Since the test is focusing on the PHY reception of multiple CTS response, the
@@ -632,7 +632,7 @@
 
     /**
      * Constructor
-     * \param ctsTxInfosPerSta the information about CTS responses to generate
+     * @param ctsTxInfosPerSta the information about CTS responses to generate
      */
     TestMultipleCtsResponsesFromMuRts(const std::vector<CtsTxInfos>& ctsTxInfosPerSta);
 
@@ -649,28 +649,28 @@
     /**
      * Function called to trigger a CTS frame sent by a STA using non-HT duplicate.
      *
-     * \param phyIndex the index of the TX PHY
+     * @param phyIndex the index of the TX PHY
      */
     void TxNonHtDuplicateCts(std::size_t phyIndex);
 
     /**
      * CTS RX success function
-     * \param phyIndex the index of the PHY (0 for AP)
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param phyIndex the index of the PHY (0 for AP)
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxCtsSuccess(std::size_t phyIndex,
                       Ptr<const WifiPsdu> psdu,
                       RxSignalInfo rxSignalInfo,
-                      WifiTxVector txVector,
-                      std::vector<bool> statusPerMpdu);
+                      const WifiTxVector& txVector,
+                      const std::vector<bool>& statusPerMpdu);
 
     /**
      * CTS RX failure function
-     * \param phyIndex the index of the PHY (0 for AP)
-     * \param psdu the PSDU
+     * @param phyIndex the index of the PHY (0 for AP)
+     * @param psdu the PSDU
      */
     void RxCtsFailure(std::size_t phyIndex, Ptr<const WifiPsdu> psdu);
 
@@ -704,7 +704,7 @@
       m_countApRxCtsFailure{0},
       m_countStaRxCtsSuccess{0},
       m_countStaRxCtsFailure{0},
-      m_stasTxPower(10.0)
+      m_stasTxPower(dBm_u{10})
 {
 }
 
@@ -775,8 +775,8 @@
 TestMultipleCtsResponsesFromMuRts::RxCtsSuccess(std::size_t phyIndex,
                                                 Ptr<const WifiPsdu> psdu,
                                                 RxSignalInfo rxSignalInfo,
-                                                WifiTxVector txVector,
-                                                std::vector<bool> /*statusPerMpdu*/)
+                                                const WifiTxVector& txVector,
+                                                const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << phyIndex << *psdu << rxSignalInfo << txVector);
     std::vector<CtsTxInfos> successfulCtsInfos{};
@@ -857,7 +857,7 @@
 
     auto spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
     auto lossModel = CreateObject<FriisPropagationLossModel>();
-    lossModel->SetFrequency(DEFAULT_FREQUENCY * 1e6);
+    lossModel->SetFrequency(MHzToHz(DEFAULT_FREQUENCY));
     spectrumChannel->AddPropagationLossModel(lossModel);
     auto delayModel = CreateObject<ConstantSpeedPropagationDelayModel>();
     spectrumChannel->SetPropagationDelayModel(delayModel);
@@ -890,9 +890,12 @@
                          m_ctsTxInfosPerSta.cend(),
                          [](const auto& lhs, const auto& rhs) { return lhs.bw < rhs.bw; })
             ->bw;
-    auto apChannelNum =
-        WifiPhyOperatingChannel::FindFirst(0, 0, apBw, WIFI_STANDARD_80211ac, WIFI_PHY_BAND_5GHZ)
-            ->number;
+    auto apChannelNum = WifiPhyOperatingChannel::FindFirst(0,
+                                                           MHz_u{0},
+                                                           apBw,
+                                                           WIFI_STANDARD_80211ac,
+                                                           WIFI_PHY_BAND_5GHZ)
+                            ->number;
 
     m_phyAp->SetOperatingChannel(WifiPhy::ChannelTuple{apChannelNum, apBw, WIFI_PHY_BAND_5GHZ, 0});
 
@@ -922,7 +925,7 @@
         phySta->SetTxPowerEnd(m_stasTxPower);
 
         auto channelNum = WifiPhyOperatingChannel::FindFirst(0,
-                                                             0,
+                                                             MHz_u{0},
                                                              m_ctsTxInfosPerSta.at(i).bw,
                                                              WIFI_STANDARD_80211ac,
                                                              WIFI_PHY_BAND_5GHZ)
@@ -1009,13 +1012,13 @@
 TestMultipleCtsResponsesFromMuRts::DoRun()
 {
     // Fake transmission of a MU-RTS frame preceding the CTS responses
-    Simulator::Schedule(Seconds(0.0), &TestMultipleCtsResponsesFromMuRts::FakePreviousMuRts, this);
+    Simulator::Schedule(Seconds(0), &TestMultipleCtsResponsesFromMuRts::FakePreviousMuRts, this);
 
     for (std::size_t index = 0; index < m_phyStas.size(); ++index)
     {
         // Transmit CTS responses over their operating bandwidth with 1 nanosecond delay between
         // each other
-        const auto delay = (index + 1) * NanoSeconds(1.0);
+        const auto delay = (index + 1) * NanoSeconds(1);
         Simulator::Schedule(delay,
                             &TestMultipleCtsResponsesFromMuRts::TxNonHtDuplicateCts,
                             this,
@@ -1024,17 +1027,17 @@
 
     // Verify successful reception of the CTS frames: since multiple copies are sent
     // simultaneously, a single CTS frame should be forwarded up to the MAC.
-    Simulator::Schedule(Seconds(1.0), &TestMultipleCtsResponsesFromMuRts::CheckResults, this);
+    Simulator::Schedule(Seconds(1), &TestMultipleCtsResponsesFromMuRts::CheckResults, this);
 
     Simulator::Run();
     Simulator::Destroy();
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi non-HT duplicate Test Suite
+ * @brief wifi non-HT duplicate Test Suite
  */
 class WifiNonHtDuplicateTestSuite : public TestSuite
 {
@@ -1080,57 +1083,63 @@
      *                └────────┘       └──────────────────────┘
      */
     AddTestCase(new TestNonHtDuplicatePhyReception(WIFI_STANDARD_80211ax,
-                                                   5210,
+                                                   MHz_u{5210},
                                                    0,
-                                                   {{WIFI_STANDARD_80211a, 5180, 0},
-                                                    {WIFI_STANDARD_80211n, 5200, 0},
-                                                    {WIFI_STANDARD_80211ac, 5230, 0}}),
+                                                   {{WIFI_STANDARD_80211a, MHz_u{5180}, 0},
+                                                    {WIFI_STANDARD_80211n, MHz_u{5200}, 0},
+                                                    {WIFI_STANDARD_80211ac, MHz_u{5230}, 0}}),
                 TestCase::Duration::QUICK);
     /* same channel map and test scenario as previously but inject interference on channel 40 */
     AddTestCase(new TestNonHtDuplicatePhyReception(WIFI_STANDARD_80211ax,
-                                                   5210,
+                                                   MHz_u{5210},
                                                    0,
-                                                   {{WIFI_STANDARD_80211a, 5180, 0},
-                                                    {WIFI_STANDARD_80211n, 5200, 0},
-                                                    {WIFI_STANDARD_80211ac, 5230, 0}},
+                                                   {{WIFI_STANDARD_80211a, MHz_u{5180}, 0},
+                                                    {WIFI_STANDARD_80211n, MHz_u{5200}, 0},
+                                                    {WIFI_STANDARD_80211ac, MHz_u{5230}, 0}},
                                                    {false, true, false, false}),
                 TestCase::Duration::QUICK);
     /* test PHY reception of multiple CTS responses following a MU-RTS */
     /* 4 STAs operating on 20 MHz */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{20}, {20}, {20}, {20}}),
-                TestCase::Duration::QUICK);
+    AddTestCase(
+        new TestMultipleCtsResponsesFromMuRts({{MHz_u{20}}, {MHz_u{20}}, {MHz_u{20}}, {MHz_u{20}}}),
+        TestCase::Duration::QUICK);
     /* 4 STAs operating on 40 MHz */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{40}, {40}, {40}, {40}}),
-                TestCase::Duration::QUICK);
+    AddTestCase(
+        new TestMultipleCtsResponsesFromMuRts({{MHz_u{40}}, {MHz_u{40}}, {MHz_u{40}}, {MHz_u{40}}}),
+        TestCase::Duration::QUICK);
     /* 4 STAs operating on 80 MHz */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{80}, {80}, {80}, {80}}),
-                TestCase::Duration::QUICK);
+    AddTestCase(
+        new TestMultipleCtsResponsesFromMuRts({{MHz_u{80}}, {MHz_u{80}}, {MHz_u{80}}, {MHz_u{80}}}),
+        TestCase::Duration::QUICK);
     /* 4 STAs operating on 160 MHz */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{160}, {160}, {160}, {160}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts(
+                    {{MHz_u{160}}, {MHz_u{160}}, {MHz_u{160}}, {MHz_u{160}}}),
                 TestCase::Duration::QUICK);
     /* 4 STAs operating on different bandwidths with PPDUs sent with decreasing BW: 160, 80, 40 and
      * 20 MHz */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{160}, {80}, {40}, {20}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts(
+                    {{MHz_u{160}}, {MHz_u{80}}, {MHz_u{40}}, {MHz_u{20}}}),
                 TestCase::Duration::QUICK);
     /* 4 STAs operating on different bandwidths with PPDUs sent with increasing BW: 20, 40, 80 and
      * 160 MHz */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{20}, {40}, {80}, {160}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts(
+                    {{MHz_u{20}}, {MHz_u{40}}, {MHz_u{80}}, {MHz_u{160}}}),
                 TestCase::Duration::QUICK);
     /* 2 STAs operating on different bandwidths with PPDUs sent with decreasing BW but the first STA
      * does not respond */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{80, true}, {40, false}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{MHz_u{80}, true}, {MHz_u{40}, false}}),
                 TestCase::Duration::QUICK);
     /* 2 STAs operating on different bandwidths with PPDUs sent with decreasing BW but the second
      * STA does not respond */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{80, false}, {40, true}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{MHz_u{80}, false}, {MHz_u{40}, true}}),
                 TestCase::Duration::QUICK);
     /* 2 STAs operating on different bandwidths with PPDUs sent with increasing BW but the first STA
      * does not respond */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{40, true}, {80, false}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{MHz_u{40}, true}, {MHz_u{80}, false}}),
                 TestCase::Duration::QUICK);
     /* 2 STAs operating on different bandwidths with PPDUs sent with increasing BW but the second
      * STA does not respond */
-    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{40, false}, {80, true}}),
+    AddTestCase(new TestMultipleCtsResponsesFromMuRts({{MHz_u{40}, false}, {MHz_u{80}, true}}),
                 TestCase::Duration::QUICK);
 }
 
